- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# NewGameMenu Class Reference

`#include <Menu.h>`

Inheritance diagram for NewGameMenu:

List of all members.

## Public Member Functions
| NewGameMenu (List *menuInfo)
void | draw ()
bool | select ()
## Private Attributes
Game * | _game
bool | _won
std::vector< std::string > | _levelFile
std::vector< std::string > | _levelName
std::vector< bool > | _levelUnLocked
std::vector< bool > | _levelInMenu
int | _totalLevels

## Detailed Description

Definition at line 58 of file Menu.h.

## Constructor & Destructor Documentation

NewGameMenu::NewGameMenu | ( | List * | menuInfo | ) |

| Definition at line 311 of file Menu.cpp. References _levelFile, _levelInMenu, _levelName, _levelUnLocked, Menu::_options, Menu::_selected, Menu::_selectedMax, Menu::_title, _totalLevels, _won, List::empty(), List::firstInt(), List::firstList(), List::firstString(), Parser::parse(), and List::rest().

## Member Function Documentation

void NewGameMenu::draw | ( |  | ) | `[virtual]`

| Reimplemented from Menu. Definition at line 342 of file Menu.cpp. References Menu::_leftMargin, _levelInMenu, _levelName, _levelUnLocked, Menu::_selected, Menu::_textHeight, _totalLevels, Menu::draw(), glfuncs::glPrint(), glfuncs::instance(), and select().

bool NewGameMenu::select | ( |  | ) | `[virtual]`

| Reimplemented from Menu. Definition at line 370 of file Menu.cpp. References _levelInMenu, and Menu::_selected. Referenced by draw().

## Member Data Documentation

Game* NewGameMenu::_game`[private]`

| Definition at line 65 of file Menu.h.

std::vector<std::string> NewGameMenu::_levelFile`[private]`

| Definition at line 67 of file Menu.h. Referenced by NewGameMenu().

std::vector<bool> NewGameMenu::_levelInMenu`[private]`

| Definition at line 70 of file Menu.h. Referenced by draw(), NewGameMenu(), and select().

std::vector<std::string> NewGameMenu::_levelName`[private]`

| Definition at line 68 of file Menu.h. Referenced by draw(), and NewGameMenu().

std::vector<bool> NewGameMenu::_levelUnLocked`[private]`

| Definition at line 69 of file Menu.h. Referenced by draw(), and NewGameMenu().

int NewGameMenu::_totalLevels`[private]`

| Definition at line 71 of file Menu.h. Referenced by draw(), and NewGameMenu().

bool NewGameMenu::_won`[private]`

| Definition at line 66 of file Menu.h. Referenced by NewGameMenu().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/Menu.h
- C:/Documents and Settings/jegan/Desktop/projectX/Menu.cpp